post
/public_api/v1/assets/assets_internet_exposure/annotation/
Adds an annotation (also called a note) to an asset or IP range. If an asset or IP range has an existing annotation, you can append a new annotation to the existing annotation or replace the existing annotation with a new one.
Required License: Cortex Xpanse Expander
Request headers
authorization
String
required
api-key
api-key
Example:
{{api_key}}
x-xdr-auth-id
String
required
api-key-id
api-key-id
Example:
{{api_key_id}}
CLIENT REQUEST
curl -X 'POST'
-H
'Accept: application/json'
-H
'Content-Type: application/json'
-H
'authorization: {{api_key}}'
-H
'x-xdr-auth-id: {{api_key_id}}'
'https://api-}/public_api/v1/assets/assets_internet_exposure/annotation/'
-d
'{
"request_data" : {
"assets" : [ {
"annotation" : "annotation",
"entity_type" : "asset",
"entity_id" : "entity_id"
}, {
"annotation" : "annotation",
"entity_type" : "asset",
"entity_id" : "entity_id"
} ],
"should_append" : true
}
}'
import http.client
conn = http.client.HTTPSConnection("api-")
payload = "{\"request_data\":{\"assets\":[{\"entity_id\":\"string\",\"entity_type\":\"asset\",\"annotation\":\"string\"}],\"should_append\":true}}"
headers = {
'authorization': "{{api_key}}",
'x-xdr-auth-id': "{{api_key_id}}",
'content-type': "application/json"
}
conn.request("POST", "%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["authorization"] = '{{api_key}}'
request["x-xdr-auth-id"] = '{{api_key_id}}'
request["content-type"] = 'application/json'
request.body = "{\"request_data\":{\"assets\":[{\"entity_id\":\"string\",\"entity_type\":\"asset\",\"annotation\":\"string\"}],\"should_append\":true}}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"request_data": {
"assets": [
{
"entity_id": "string",
"entity_type": "asset",
"annotation": "string"
}
],
"should_append": true
}
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/");
xhr.setRequestHeader("authorization", "{{api_key}}");
xhr.setRequestHeader("x-xdr-auth-id", "{{api_key_id}}");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/")
.header("authorization", "{{api_key}}")
.header("x-xdr-auth-id", "{{api_key_id}}")
.header("content-type", "application/json")
.body("{\"request_data\":{\"assets\":[{\"entity_id\":\"string\",\"entity_type\":\"asset\",\"annotation\":\"string\"}],\"should_append\":true}}")
.asString();import Foundation
let headers = [
"authorization": "{{api_key}}",
"x-xdr-auth-id": "{{api_key_id}}",
"content-type": "application/json"
]
let parameters = ["request_data": [
"assets": [
[
"entity_id": "string",
"entity_type": "asset",
"annotation": "string"
]
],
"should_append": true
]] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"request_data\":{\"assets\":[{\"entity_id\":\"string\",\"entity_type\":\"asset\",\"annotation\":\"string\"}],\"should_append\":true}}",
CURLOPT_HTTPHEADER => [
"authorization: {{api_key}}",
"content-type: application/json",
"x-xdr-auth-id: {{api_key_id}}"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "authorization: {{api_key}}");
headers = curl_slist_append(headers, "x-xdr-auth-id: {{api_key_id}}");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"assets\":[{\"entity_id\":\"string\",\"entity_type\":\"asset\",\"annotation\":\"string\"}],\"should_append\":true}}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/assets/assets_internet_exposure/annotation/");
var request = new RestRequest(Method.POST);
request.AddHeader("authorization", "{{api_key}}");
request.AddHeader("x-xdr-auth-id", "{{api_key_id}}");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"request_data\":{\"assets\":[{\"entity_id\":\"string\",\"entity_type\":\"asset\",\"annotation\":\"string\"}],\"should_append\":true}}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
request_dataobject
assetsarray
should_appendboolean
Free-Form objectFree-Form object
application/json
request_dataobjectA dictionary containing the API request fields.
A dictionary containing the API request fields.
assetsarrayList of dictionaries that refer to assets.
List of dictionaries that refer to assets.
[entity_idstring
entity_typestring (Enum)
annotationstring
Free-Form object]
entity_idstring<asm_asset_id>
<asm_asset_id>
entity_typestring (Enum)Values are asset or ip_range.
Values are asset or ip_range.
Allowed values:"asset""ip_range"
annotationstringAnnotation text.
Annotation text.
should_appendbooleanTrue append the annotation to the existing annotation.
False replaces the existing annotation.
The default is true.
True append the annotation to the existing annotation.
False replaces the existing annotation.
The default is true.
Default:
trueREQUEST
{
"request_data": {
"assets": [
{
"entity_id": "example",
"entity_type": "asset",
"annotation": "example"
}
],
"should_append": false
}
}Responses